Page MenuHomePhabricator

copies-rust: fix reverted argument when merging tiny minor or major
ClosedPublic

Authored by marmoute on Dec 22 2020, 9:11 PM.

Details

Summary

The argument where not passed in the right other. This is not caught by the test
(yet) because it is a sub case of a special case. Am I adding this to my list of
things to test. Using test directly in Rust would be appropriate here. However
we don't have the ability to test this code that way yet, and I am focussing on
other part of that work right now.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Dec 22 2020, 9:11 PM
SimonSapin accepted this revision.Dec 28 2020, 8:38 AM
SimonSapin added a subscriber: SimonSapin.

This makes the else if major.len() * 2 < minor.len() block the same as else if minor.len() * 2 < major.len() block above but with major and minor swapped, as it should be.

baymax updated this revision to Diff 24576.Jan 5 2021, 3:52 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 24598.Jan 5 2021, 9:17 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.Jan 8 2021, 6:13 AM
baymax updated this revision to Diff 24639.Jan 8 2021, 10:26 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 25687.Mon, Feb 22, 9:04 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 25746.Mon, Feb 22, 11:17 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 25781.Mon, Feb 22, 3:16 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.